!

API recipes

Practical examples for using the Houski API.

Examples

Find properties by area political lean

Programming language

Select the programming language you want to display the code examples in.

Find properties by the political lean of their area
Pull Calgary properties in strongly left-leaning areas. estimate_political_lean runs from 0 for strongly left-leaning to 10 for strongly right-leaning, with 5 as the centre. Swap the filter to estimate_political_lean_gte=8 for strongly right-leaning areas. Useful for political campaign mail, advocacy outreach, and voter mobilization.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=calgary&country_abbreviation=ca&estimate_political_lean_lte=2&page=1&province_abbreviation=ab&results_per_page=3&select=address,estimate_political_lean,demographic_income_median_pre_tax,property_type"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('estimate_political_lean_lte', '2');
    url.searchParams.set('page', '1');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '3');
    url.searchParams.set('select', 'address,estimate_political_lean,demographic_income_median_pre_tax,property_type');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": false,
  "cost_cents": 0.690000057220459,
  "data": [
    {
      "address": "309 2016 34 Avenue SW",
      "demographic_income_median_pre_tax": 87680,
      "estimate_political_lean": 0,
      "property_id": "101a71d8bea56c6d",
      "property_type": "House"
    },
    {
      "address": "2 3720 16 Street SW",
      "demographic_income_median_pre_tax": 74752,
      "estimate_political_lean": 1,
      "property_id": "1029fc7c3cb4157a",
      "property_type": "House"
    },
    {
      "address": "1808 36 Avenue Southwest",
      "demographic_income_median_pre_tax": 74752,
      "estimate_political_lean": 0,
      "property_id": "102af21adc8dbbcf",
      "property_type": "House"
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 1169
  },
  "price_quote": false,
  "result_total": 3505,
  "time_ms": 5518,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}